"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path = require("path");
const resolve_1 = require("./resolve");
const cache = new Map();
function initCache(dir) {
    const entry = {
        options: resolve_1.resolveConfig(dir),
        transpiler: resolve_1.resolveTranspiler(dir),
    };
    cache.set(dir, entry);
    return entry;
}
function getCache(file) {
    const dir = path.dirname(file);
    const entry = cache.get(dir);
    if (entry !== undefined) {
        return entry;
    }
    else {
        return initCache(dir);
    }
}
exports.getCache = getCache;
